syslog-ng (4.8.1-7build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 22:02:57 +0000

syslog-ng (4.8.1-7build1) resolute; urgency=medium

  * No-change rebuild for libnet9.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 31 Oct 2025 14:12:00 +0000

syslog-ng (4.8.1-7) unstable; urgency=medium

  * Rediff patches.
    Add 0004-mongo-c-add-v1-v2-detection-to-autotools.patch
    Add 0005-afmongodb-use-v1-v2-headers-correctly.patch

 -- SZALAY Attila <sasa@debian.org>  Sat, 30 Aug 2025 16:51:59 +0100

syslog-ng (4.8.1-6) unstable; urgency=medium

  * Turn off writing log statistics (closes: #1110329).
  * Explicitly disable the MQTT destination plugin.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 08 Aug 2025 18:47:18 +0200

syslog-ng (4.8.1-5) unstable; urgency=medium

  * Fix transport accepting incorrect wildcards
    This patch cherry-picked from upstream until they fix it in an official release.
    It can also be used as a baseline to fix the same issue in older releases.
    CVE-ID: CVE-2024-47619 (Closes: #1104890)

 -- SZALAY Attila <sasa@debian.org>  Sat, 10 May 2025 12:12:49 +0100

syslog-ng (4.8.1-4) unstable; urgency=medium

  [ SZALAY Attila ]
  * Install smart-multi-line.fsm to enable smart multi line support
    (closes: #1091616).
  * Extending autopkgtest tests about config warnings.
  * Update configuration and eliminate warnings.
  * Incorporate latest changes into the copyright file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 16 Mar 2025 08:59:59 +0100

syslog-ng (4.8.1-3) unstable; urgency=medium

  [ Luca Boccassi <bluca@debian.org> ]
  * autopkgtest: fix testinitscript to remove correctly systemd-
    sysv/runit-init with the new protected flags (closes: #1099718).

  [ Laszlo Boszormenyi (GCS) ]
  * Backport upstream fix for EINVAL complaints seeking /dev/kmsg
    (closes: #1099729).
  * Readd PatternDB support library to syslog-ng-core.
  * Add required python3-setuptools as build dependency.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 07 Mar 2025 17:32:24 +0100

syslog-ng (4.8.1-2) unstable; urgency=medium

  * Fix arch-indepenendent-only build

 -- SZALAY Attila <sasa@debian.org>  Wed, 11 Dec 2024 20:16:33 +0000

syslog-ng (4.8.1-1) unstable; urgency=medium

  * New upstream version 4.8.1
  * Drop patches already applied upstream
  * Adding gperf as a build-time dependency
  * Disable cloud-auth for now
  * Add new scl files

 -- SZALAY Attila <sasa@debian.org>  Sun, 01 Dec 2024 19:15:26 +0000

syslog-ng (4.4.0-3) unstable; urgency=medium

  * Backport upstream fix for variable type for g_io_channel_write_chars()
    (closes: #1077249).
  * Disable SMTP destination plugin for now.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 18 Aug 2024 09:01:57 +0200

syslog-ng (4.4.0-2) unstable; urgency=medium

  [ Chris Hofstaedtler <zeha@debian.org> ]
  * Let configure autodetect systemdsystemunitdir, add systemd-dev for
    systemd.pc.
  * Use dh_installsystemd to install Debian-specific systemd unit
    (closes: #1073766).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 27 Jul 2024 08:46:33 +0000

syslog-ng (4.4.0-1) unstable; urgency=medium

  [ Attila Szalay ]
  * New upstream version 4.4.0

  [ SZALAY Attila ]
  * Make plugin dependencies binNMU safe.
    Thanks to Steve Langasek <vorlon@debian.org> whose patch was the base
    (Closes: #1063077)
  * Fix install exclude list

 -- SZALAY Attila <sasa@debian.org>  Sat, 04 May 2024 16:23:54 +0100

syslog-ng (4.3.1-2) unstable; urgency=medium

  [ Attila Szalay ]
  * Change libpcre dependency (Closes: #99946)

 -- SZALAY Attila <sasa@debian.org>  Sat, 26 Aug 2023 15:05:12 +0100

syslog-ng (4.3.1-1) unstable; urgency=medium

  [ Attila Szalay ]
  * New upstream version 4.3.1
  * Dropping patches merged upstream
  * Drop python venv creation
  * Remove files from package definition which does not generated in the new release
  * Add the new scl files to scl package
  * Ignore the new modules for now
  * Adapt packaging to that upstream moved the scl.conf out from /etc/syslog-ng

 -- SZALAY Attila <sasa@debian.org>  Sun, 20 Aug 2023 16:51:02 +0100

syslog-ng (3.38.1-5) unstable; urgency=medium

  * Build without Criterion support.
  * Move away dependency from lsb-base to sysvinit-utils.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 30 Jan 2023 19:18:56 +0100

syslog-ng (3.38.1-4) unstable; urgency=medium

  [ Attila Szalay ]
  * Fixed syslog-ng-scl package generation

 -- SZALAY Attila <sasa@debian.org>  Wed, 21 Sep 2022 21:41:47 +0100

syslog-ng (3.38.1-3) unstable; urgency=medium

  [ Attila Szalay ]
  * Fix process check in chroot when init script is used to control syslog-ng
    (Closes: #878974)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Attila Szalay ]
  * Fix debug filter in default syslog config file (Closes: #991142)
  * Remove nose dependency (Closes: #1018647)
  * Remove syslog-ng-module-extra from module list

 -- SZALAY Attila <sasa@debian.org>  Mon, 19 Sep 2022 16:54:27 +0100

syslog-ng (3.38.1-2) unstable; urgency=medium

  [ Attila Szalay ]
  * To smooth the upgrade process, re-introduce syslog-ng-mod-extra as a transitional package
  * Fix control socket path (Closes: #962839)
  * Select virt console destination dinamically (Closes: #982918)

 -- SZALAY Attila <sasa@debian.org>  Sun, 18 Sep 2022 16:13:46 +0100

syslog-ng (3.38.1-1) unstable; urgency=medium

  [ Attila Szalay ]
  * Removed support upgrading from ancient (older than version 3.5) versions
  * New upstream version 3.38.1
  * Add new files to packages
  * Remove dangling systemd service file link at preinst (Closes: #760426)
  * Replaces direct md5sum file access with dpkg --verify call (Closes: #905680)
  * Introduce new package syslog-ng-scl and move all scl files to that package
  * Clean up the autopkgtest configs
  * Adjust bison dependency based on upstream requirements
  * Fixing sysvinit autopkg test
  * Merge syslog-ng-mod-getent into syslog-ng-core
  * Merge syslog-ng-mod-map-value-pairs package into syslog-ng-core
  * Updating the defult syslog-ng.conf to 3.38 version

 -- SZALAY Attila <sasa@debian.org>  Sat, 10 Sep 2022 13:22:21 +0100

syslog-ng (3.35.1-1) unstable; urgency=medium

  * Enable pristine-tar branchwide
  * New upstream version 3.35.1
  * Removed patches applied upstream
  * Add new files to the appropriate packages

 -- SZALAY Attila <sasa@debian.org>  Sun, 20 Feb 2022 11:26:55 +0000

syslog-ng (3.28.1-4) unstable; urgency=medium

  * Fix Criterion detection.
  * Autotest on i386 as well.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 05 Dec 2021 21:11:35 +0100

syslog-ng (3.28.1-3) unstable; urgency=medium

  [ SZALAY Attila ]
  * Add criterion as build dependency.

  [ Laszlo Boszormenyi (GCS) ]
  * Backport upstream fix for pkg-config detection of libesmtp
    (closes: #997397).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 25 Oct 2021 19:18:15 +0200

syslog-ng (3.28.1-2) unstable; urgency=medium

  * [def6b75] Remove overlay configuration from gbp.conf.
    The git tree used to contain only the debianization related files.  As that
    is not the case any more, the overlay option is not needed/can cause
    problems.

 -- SZALAY Attila <sasa@debian.org>  Sun, 13 Sep 2020 11:23:18 +0200

syslog-ng (3.28.1-1) unstable; urgency=medium

  [ SZALAY Attila ]
  * [fb28861] New upstream version 3.28.1
  * [47b589a] Remove patches applied upstream
  * [6e316b7] Follow upstream renaming to slogimport to slogencrypt
  * [c3e32f7] Added new manpage secure-logging.7
  * [469b9e4] Fix lintian warning about direct maintscript usage
  * [3af35f0] Clean up the packaging a bit.
    Fixed the dh_missing exclude magic, so both the rm command can be removed
    from the rules file and the related lines can be removed from the
    not-installed file.
  * [a1ffbc9] Made some other changes suggested by lintian
    * Stop using dpkg-parsechangelog to get the package version
    * Remove/change entries in the copyright file
  * [3ec3edd] Remove github specific files from upstream archive
  * [eb55eb4] Factor out syslog-ng-mod-slog

  [ Balazs Scheidler ]
  * [8627c6b] add azure-auth-header build products into mod-http
  * [58e946b] drop pylint3 as a Build-Dependency.
    We are not running pylint3 in debian packaging anyway and Ubuntu eoan does
    not have this package.
  * [ee8dd32] follow upstream merge of snmpdest and snmptrapd-parser modules
  * [4ae0f1b] move the python files under a syslog-ng specific directory

 -- SZALAY Attila <sasa@debian.org>  Fri, 28 Aug 2020 23:40:23 +0200

syslog-ng (3.27.1-3) unstable; urgency=medium

  * Fix sumologic.conf installation.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 16 Jun 2020 22:16:59 +0200

syslog-ng (3.27.1-2) unstable; urgency=medium

  * Fix self-tests as mod-snmptrapd-parser merged to mod-snmp package
    (closes: #962893).
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 16 Jun 2020 19:04:17 +0200

syslog-ng (3.27.1-1) unstable; urgency=medium

  * New upstream release:
    - builds with Bison 3.6.1 (closes: #960481).
  * Merge snmptrapd-parser mod to snmp mod.
  * Backport fix for hang on boot due to lack of entropy (closes: #913754).
  * Remove merged in patches.
  * Update configuration version.

  [ Balazs Scheidler <bazsi77@gmail.com> ]
  * Add support for the snmp() destination (syslog-ng-mod-snmp package).
  * Move the http() destination into a separate package (syslog-ng-mod-http).
  * Move BSD process accounting (pacct) support into the core package.
  * Move tags-parser() to the core package.
  * Add support for librdkafka based kafka destination (in mod-rdkafka
    package).
  * Use upstream scl.conf .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 17 May 2020 14:41:30 +0200

syslog-ng (3.25.1-3) unstable; urgency=medium

  * Remove outdated pep8 build dependency.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 03 Mar 2020 19:39:43 +0000

syslog-ng (3.25.1-2) unstable; urgency=medium

  * Update upstream bison update (closes: #949847).

  [ Balazs Scheidler <bazsi77@gmail.com> ]
  * Remove unneeded/empty Makefile.am file.
  * Remove obsoleted sections from README.source .
  * Update github URL in copyright.
  * Change github url in the watch file.
  * Add wants/after lines into syslog-ng.systemd unit file.
  * Remove libgeoip-dev as build dependency.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 01 Mar 2020 11:38:57 +0000

syslog-ng (3.25.1-1) unstable; urgency=medium

  * New upstream release.
  * Merge in syslog-ng-mod-journal (closes: #924264).
  * Remove syslog-ng-mod-geoip module.
  * Python3ify syslog-ng-mod-python (closes: #938618).
  * Add upstream persist-tool manpage.
  * Backport upstream bison update.
  * Install all SCL files.
  * Update configuration version.
  * Update self-tests.
  * Update Standards-Version to 4.4.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 21 Dec 2019 08:42:10 +0000

syslog-ng (3.19.1-6) unstable; urgency=medium

  * Sync with Ubuntu.

  [ Dimitri John Ledkov <xnox@ubuntu.com> ]
  * Fix FTBFS with bison 3.4.1 (closes: #931302).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 09 Jul 2019 16:37:13 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog syslog-ng-core`.
